
patch
/v4/organizations/{organizationId}/api-keys/{id}
Change the description of a key the caller owns or manages.
Path parameters
organizationIdstring (uuid)required
idstring (uuid)required
Request body
descriptionstringrequired
Responses
200Response for status 200
Schema
object
idstringrequired
organizationIdstring | nullrequired
userIdstring | nullrequired
prefixstringrequired
descriptionstring | nullrequired
tiernumberrequired
issuedByUserIdstring | nullrequired
createdAtstringrequired
expiresAtstring | nullrequired
revokedAtstring | nullrequired
Example
{
"id": "string",
"organizationId": "string",
"userId": "string",
"prefix": "string",
"description": "string",
"tier": 0,
"issuedByUserId": "string",
"createdAt": "string",
"expiresAt": "string",
"revokedAt": "string"
}patch
https://api.merkl.xyz/v4/organizations//api-keys/curl -X PATCH "https://api.merkl.xyz/v4/organizations/{organizationId}/api-keys/{id}"Live request: this will call https://api.merkl.xyz/ for real.